I'm having problems with Forcefield and Firefox; what version of Firefox should I install to avoid problems and run them both?
Thanking you well in advance,
Michael